PRAGMA foreign_keys = false;



DROP TABLE IF EXISTS "task";
create TABLE "task" (
  "id" integer NOT NULL PRIMARY KEY AUTOINCREMENT,
  "scene_id" integer,
  "execute_count" integer,
  "executed_count" integer,
  "name" text,
  "lua_data" text,
  "status" integer,
  "progress_json" text,
  "comment" text,
  "start_time" date,
  "end_time" date,
  "consume_time" integer,
  "pose_check" integer DEFAULT 0,
  "mode" integer DEFAULT 0,
  "create_time" date,
  "update_time" date
);

insert into "sqlite_sequence" (name, seq) values ("task", '10000');

CREATE INDEX "task_status_idx"
ON "task" (
  "status" COLLATE BINARY DESC
);



PRAGMA foreign_keys = true;
