PRAGMA foreign_keys = false;

-- ----------------------------
-- Table structure for sys_config
-- ----------------------------
drop table IF EXISTS "led_style";
create TABLE "led_style" (
  "id" integer NOT NULL,
  "name" text,
  "robot_mode" integer,
  "mode" integer,
  "speed" integer,
  "color_json" text,
  "voice" integer,
  "volume" integer,
  "type" integer,
  "create_time" date,
  "update_time" date,
  PRIMARY KEY ("id")
);

-- ----------------------------
-- Records of sys_config
-- ----------------------------
insert into "sqlite_sequence" (name, seq) values ("led_sytle", '10000');

INSERT INTO "main"."led_style"("id", "name", "robot_mode", "mode", "speed", "color_json", "voice", "volume", "type", "create_time", "update_time") VALUES (1, '急停停止状态', 1, 6, 1, '[0, 0, 0, 0]', 0, 2, 1, '2019-10-31 19:52:07.204267+08:00', '2019-10-31 19:52:07.204267+08:00');
INSERT INTO "main"."led_style"("id", "name", "robot_mode", "mode", "speed", "color_json", "voice", "volume", "type", "create_time", "update_time") VALUES (2, '启动中', 2, 3, 2, '[5, 5, 5, 5]', 1, 2, 1, '2019-10-31 19:52:07.204267+08:00', '2019-10-31 19:52:07.204267+08:00');
INSERT INTO "main"."led_style"("id", "name", "robot_mode", "mode", "speed", "color_json", "voice", "volume", "type", "create_time", "update_time") VALUES (4, '电源开启', 4, 2, 2, '[15,15,15,15]', 0, 0, 1, '2019-10-31 19:52:07.204267+08:00', '2019-10-31 19:52:07.204267+08:00');
INSERT INTO "main"."led_style"("id", "name", "robot_mode", "mode", "speed", "color_json", "voice", "volume", "type", "create_time", "update_time") VALUES (5, '空闲中', 5, 2, 2, '[1,1,1,1]', 0, 2, 1, '2019-10-31 19:52:07.204267+08:00', '2019-10-31 19:52:07.204267+08:00');
INSERT INTO "main"."led_style"("id", "name", "robot_mode", "mode", "speed", "color_json", "voice", "volume", "type", "create_time", "update_time") VALUES (7, '机器人运动运行中', 7, 3, 2, '[8,8,8,8]', 0, 0, 1, '2019-10-31 19:52:07.204267+08:00', '2019-10-31 19:52:07.204267+08:00');
INSERT INTO "main"."led_style"("id", "name", "robot_mode", "mode", "speed", "color_json", "voice", "volume", "type", "create_time", "update_time") VALUES (8, '更新固件中', 8, 3, 2, '[4,4,4,4]', 4, 2, 1, '2019-10-31 19:52:07.204267+08:00', '2019-10-31 19:52:07.204267+08:00');
INSERT INTO "main"."led_style"("id", "name", "robot_mode", "mode", "speed", "color_json", "voice", "volume", "type", "create_time", "update_time") VALUES (9, '启动中', 9, 3, 2, '[1,1,1,1]', 1, 2, 1, '2019-10-31 19:52:07.204267+08:00', '2019-10-31 19:52:07.204267+08:00');
INSERT INTO "main"."led_style"("id", "name", "robot_mode", "mode", "speed", "color_json", "voice", "volume", "type", "create_time", "update_time") VALUES (10, '停止中', 10, 3, 2, '[15,15,15,15]', 2, 2, 1, '2019-10-31 19:52:07.204267+08:00', '2019-10-31 19:52:07.204267+08:00');
INSERT INTO "main"."led_style"("id", "name", "robot_mode", "mode", "speed", "color_json", "voice", "volume", "type", "create_time", "update_time") VALUES (11, '示教中', 11, 4, 1, '[0,1,2,15]', 5, 2, 1, '2019-10-31 19:52:07.204267+08:00', '2019-10-31 19:52:07.204267+08:00');
INSERT INTO "main"."led_style"("id", "name", "robot_mode", "mode", "speed", "color_json", "voice", "volume", "type", "create_time", "update_time") VALUES (12, '普通停止', 12, 2, 2, '[15,15,15,15]', 0, 0, 1, '2019-10-31 19:52:07.204267+08:00', '2019-10-31 19:52:07.204267+08:00');
INSERT INTO "main"."led_style"("id", "name", "robot_mode", "mode", "speed", "color_json", "voice", "volume", "type", "create_time", "update_time") VALUES (13, '微调中', 13, 0, 0, '[0, 0, 0, 0]', 7, 2, 1, '2019-10-31 19:52:07.204267+08:00', '2019-10-31 19:52:07.204267+08:00');
PRAGMA foreign_keys = true;
