PRAGMA foreign_keys = false;

-- ----------------------------
-- Table structure for sys_upgrade_app_record
-- ----------------------------
drop table IF EXISTS "sys_upgrade_app_record";
create TABLE "sys_upgrade_app_record" (
  "id" integer NOT NULL,
  "record_id" integer,
  "status" integer,
  "app" text,
  "sort" integer,
  "origin_version" text,
  "origin_package_path" text,
  "origin_partition" text,
  "target_version" text,
  "target_version_type" integer,
  "target_package_path" text,
  "target_partition" text,
  "upgrade_msg" text,
  "upgrade_start_time" date,
  "upgrade_end_time" date,
  "rollback_msg" text,
  "rollback_start_time" date,
  "rolllback_end_time" date,
  "create_time" date,
  "update_time" date,
  PRIMARY KEY ("id")
);

-- ----------------------------
-- Auto increment value for sys_upgrade_record
-- ----------------------------
update "main"."sqlite_sequence" set seq = 10000 where name = 'sys_upgrade_app_record';


PRAGMA foreign_keys = true;
