PRAGMA foreign_keys = false;

-- ----------------------------
-- Table structure for sys_upgrade_record
-- ----------------------------
drop table IF EXISTS "sys_upgrade_record";
create TABLE "sys_upgrade_record" (
  "id" integer NOT NULL PRIMARY KEY AUTOINCREMENT,
  "ota_type" text,
  "status" integer,
  "upgrade_msg" text,
  "rollback_msg" text,
  "origin_version" text,
  "target_version" text,
  "progress" integer,
  "create_time" date,
  "update_time" date
);

-- ----------------------------
-- Auto increment value for sys_upgrade_record
-- ----------------------------
update "main"."sqlite_sequence" set seq = 10000 where name = 'sys_upgrade_record';

PRAGMA foreign_keys = true;