PRAGMA foreign_keys = false;

-- ----------------------------
-- Table structure for scene
-- ----------------------------
DROP TABLE IF EXISTS "log_scene";
CREATE TABLE "log_scene" (
  "id" integer NOT NULL PRIMARY KEY AUTOINCREMENT,
  "scene_id" integer,
  "action_type" integer,
  "name" text,
  "description" text,
  "source" text,
  "lua_source" text,
  "end_lua" text,
  "progress_json" text,
  "status" integer,
  "type" integer,
  "image" text,
  "create_time" date,
  "update_time" date
);

-- ----------------------------
-- Auto increment value for scene
-- ----------------------------
UPDATE "main"."sqlite_sequence" SET seq = 10000 WHERE name = 'log_scene';

PRAGMA foreign_keys = true;