PRAGMA foreign_keys = false;

-- ----------------------------
-- Table structure for condition_task
-- ----------------------------
DROP TABLE IF EXISTS "condition_task";
CREATE TABLE "condition_task" (
  "id" integer NOT NULL PRIMARY KEY AUTOINCREMENT,
  "type" integer,
  "status" integer,
  "sort" integer DEFAULT 0,
  "name" text,
  "description" text,
  "scene_id" integer,
  "scene_name" text,
  "error_code" integer,
  "error_code_level" integer,
  "hrtw" integer DEFAULT 0,
  "data_json" text,
  "create_time" date,
  "update_time" date
);

-- ----------------------------
-- Auto increment value for condition_task
-- ----------------------------
insert into "sqlite_sequence" (name, seq) values ("condition_task", '10000');

PRAGMA foreign_keys = true;
