PRAGMA foreign_keys = false;

-- ----------------------------
-- Table structure for condition_task_record
-- ----------------------------
DROP TABLE IF EXISTS "condition_task_record";
CREATE TABLE "condition_task_record" (
  "id" integer NOT NULL PRIMARY KEY AUTOINCREMENT,
  "condition_task_id" integer,
  "condition_type" integer,
  "task_id" integer,
  "status" integer,
  "data" text,
  "error_code" integer,
  "error_params_json" text,
  "create_time" date,
  "update_time" date
);

-- ----------------------------
-- Auto increment value for condition_task_record
-- ----------------------------
insert into "sqlite_sequence" (name, seq) values ("condition_task_record", '10000');

PRAGMA foreign_keys = true;
