PRAGMA foreign_keys = false;

-- ----------------------------
-- Table structure for log_login
-- ----------------------------
DROP TABLE IF EXISTS "log_login";
CREATE TABLE "log_login" (
  "id" integer NOT NULL PRIMARY KEY AUTOINCREMENT,
  "ip" text,
  "refer" text,
  "ua" text,
  "client_id" text,
  "force_login" integer,
  "result_code" integer,
  "token_expire_time" date,
  "login_time" date,
  "create_time" date,
  "update_time" date
);

-- ----------------------------
-- Auto increment value for log_login
-- ----------------------------
UPDATE "main"."sqlite_sequence" SET seq = 10000 WHERE name = 'log_login';

PRAGMA foreign_keys = true;
