PRAGMA foreign_keys = false;



DROP TABLE IF EXISTS "device";
CREATE TABLE "device" (
  "id" integer NOT NULL PRIMARY KEY AUTOINCREMENT,
  "name" text NOT NULL,
  "device_name" text,
  "description" text,
  "data" text,
  "type" integer NOT NULL DEFAULT 0,
  "status" integer NOT NULL DEFAULT 0,
  "model_id" integer,
  "create_time" DATE NOT NULL,
  "update_time" DATE NOT NULL
);

insert into "sqlite_sequence" (name, seq) values ("device", '10000');

-- id 101 和 102 已被内置io和法兰盘io设备使用
INSERT INTO "device" VALUES (4, '手爪', '手爪', '机器人手爪', '{"analog":{"input":2,"output":2}}', 0, 0, 4, '2020-01-01 00:00:00.000000000+08:00', '2020-01-01 00:00:00.000000000+08:00');
INSERT INTO "device" VALUES (201, 'ZKA-0488', 'ZKA-0488', 'ZKA-0488', '{"decimal":{"input":8,"output":8},"analog":{"input":0,"output":4},"wired":1,"wireless":0,"bluetooth":0}', 2, 0, 201, '2020-01-01 00:00:00.000000000+08:00', '2020-01-01 00:00:00.000000000+08:00');
INSERT INTO "device" VALUES (202, 'ZKA-4088', 'ZKA-4088', 'ZKA-4088', '{"decimal":{"input":8,"output":8},"analog":{"input":4,"output":0},"wired":1,"wireless":0,"bluetooth":0}', 2, 0, 202, '2020-01-01 00:00:00.000000000+08:00', '2020-01-01 00:00:00.000000000+08:00');



PRAGMA foreign_keys = true;
