PRAGMA foreign_keys = false;



DROP TABLE IF EXISTS "element";
CREATE TABLE "element" (
  "id" integer NOT NULL PRIMARY KEY AUTOINCREMENT,
  "name" text,
  "description" text,
  "type" text,
  "space" text,
  "data_string" text,
  "category_id" integer,
  "status" integer,
  "sort" integer,
  "create_time" date,
  "update_time" date
);

insert into "sqlite_sequence" (name, seq) values ("element", '10000');

INSERT INTO "element"("id", "name", "description", "type", "space", "data_string", "category_id", "status", "sort", "create_time", "update_time") VALUES (1, '零位', '不支持更新、删除、重命名，所有关节角度都为0', 'pose', NULL, '{"checked":false,"type":"pose","name":"零位","cart":{"base":null,"data":[]},"joint":{"data":[0,0,0,0,0,0]},"move":"movej","via":null,"data":{}}', 1, 1, 1000, '2019-10-25 09:48:32.822535473+08:00', '2019-10-25 09:48:32.822553281+08:00');
INSERT INTO "element"("id", "name", "description", "type", "space", "data_string", "category_id", "status", "sort", "create_time", "update_time") VALUES (2, 'Home Point', '不支持更新、删除、重命名', 'pose', NULL, '{"checked":false,"type":"pose","name":"Home Point","cart":{"base":null,"data":[]},"joint":{"data":[0,-45,90,45,0,0]},"move":"movej","via":null,"data":{}}', 1, 1, 999, '2019-10-25 09:48:32.822535473+08:00', '2019-10-25 09:48:32.822553281+08:00');
INSERT INTO "element"("id", "name", "description", "type", "space", "data_string", "category_id", "status", "sort", "create_time", "update_time") VALUES (3, '最佳点', '预制一个最佳位置', 'pose', NULL, '{"checked":false,"type":"pose","name":"最佳点","cart":{"base":null,"data":[]},"joint":{"data":[0,-45,90,-45,90,0]},"move":"movej","via":null,"data":{}}', 1, 1, 998, '2019-10-25 09:48:32.822535473+08:00', '2019-10-25 09:48:32.822553281+08:00');



PRAGMA foreign_keys = true;
