PRAGMA foreign_keys = false;



DROP TABLE IF EXISTS "end_device";
create TABLE "end_device" (
  "id" integer NOT NULL PRIMARY KEY AUTOINCREMENT,
  "brand" text,
  "name" text,
  "model" text,
  "type" integer,
  "quality" real,
  "centroid_x" real,
  "centroid_y" real,
  "centroid_z" real,
  "status" integer,
  "connect_type" integer DEFAULT 0,
  "create_time" date,
  "update_time" date
);

insert into "sqlite_sequence" (name, seq) values ("end_device", '10000');



PRAGMA foreign_keys = true;
