PRAGMA foreign_keys = false;



DROP TABLE IF EXISTS "pin";
CREATE TABLE "pin" (
  "id" integer NOT NULL PRIMARY KEY AUTOINCREMENT,
  "pin" integer,
  "device_id" integer NOT NULL,
  "type" integer NOT NULL DEFAULT 0,
  "status" integer NOT NULL DEFAULT 0,
  "name" text,
  "description" text,
  "formula" text,
  "unit" text,
  "min_value" real,
  "max_value" real,
  "default_value" real DEFAULT 0,
  "create_time" date,
  "update_time" date
);

insert into "sqlite_sequence" (name, seq) values ("pin", '10000');



PRAGMA foreign_keys = true;
