PRAGMA foreign_keys = false;

-- ----------------------------
-- Table structure for sys_config
-- ----------------------------
DROP TABLE IF EXISTS "sys_message";
CREATE TABLE "sys_message" (
  "id" integer NOT NULL PRIMARY KEY AUTOINCREMENT,
  "code" integer,
  "level" integer,
  "title" text,
  "content" text,
  "params_json" text,
  "status" integer,
  "action" text,
  "module" integer,
  "create_time" date,
  "update_time" date
);

insert into "sqlite_sequence" (name, seq) values ("sys_message", '10000');

CREATE INDEX "sys_message_status_idx"
ON "sys_message" (
  "status" COLLATE BINARY DESC
);

CREATE INDEX "sys_message_list_query_idx"
ON "sys_message" (
  "create_time" COLLATE BINARY DESC,
  "level" COLLATE BINARY DESC
);

PRAGMA foreign_keys = true;
