PRAGMA foreign_keys = false;

-- ----------------------------
-- Table structure for sys_config
-- ----------------------------
DROP TABLE IF EXISTS "sys_config";
CREATE TABLE "sys_config" (
  "id" integer NOT NULL,
  "key" text,
  "value" text,
  "version" text,
  "create_time" date,
  "update_time" date,
  PRIMARY KEY ("id")
);

-- ----------------------------
-- Records of sys_config
-- ----------------------------

INSERT INTO "sys_config" VALUES (101, 'SystemConfig', '{"collision_detector":{"collision_action":0,"enable":true,"pause_time":0,"sensitivity":50},"collision_torque_diff":[18,25,18,10,10,10],"enable_dds":true,"install_direction":0,"joint_configs":[{"max_angle":6.28,"max_v":1.57,"min_angle":-6.28},{"max_angle":0.349,"max_v":1.57,"min_angle":-3.489},{"max_angle":3.14,"max_v":1.57,"min_angle":-3.14},{"max_angle":6.28,"max_v":1.57,"min_angle":-6.28},{"max_angle":6.28,"max_v":1.57,"min_angle":-6.28},{"max_angle":6.28,"max_v":1.57,"min_angle":-6.28}],"safety_plats":[{"points":[{"x":12,"y":12,"z":12},{"x":12,"y":12,"z":12},{"x":12,"y":12,"z":12},{"x":12,"y":12,"z":12}]}],"test":1111,"time_update":false,"zeros":[0,-90,0,-90,0,0]}', '1.0.0', '2019-10-31 19:52:07.204267+08:00', '2019-10-31 19:52:07.204267+08:00');
INSERT INTO "sys_config" VALUES (102, 'InterIO', '{}', '1.0.0', '2019-10-31 19:52:07.204267+08:00', '2019-10-31 19:52:07.204267+08:00');
INSERT INTO "sys_config" VALUES (103, 'InterIOStatus', 'false', '1.0.0', '2019-10-31 19:52:07.204267+08:00', '2019-10-31 19:52:07.204267+08:00');

PRAGMA foreign_keys = true;
