PRAGMA foreign_keys = false;

-- ----------------------------
-- Table structure for sys_upgrade_record
-- ----------------------------
DROP TABLE IF EXISTS "sys_upgrade_record";
CREATE TABLE "sys_upgrade_record" (
  "id" integer NOT NULL PRIMARY KEY AUTOINCREMENT,
  "ota_type" text,
  "status" integer,
  "upgrade_msg" text,
  "upgrade_start_time" date,
  "upgrade_end_time" date,
  "rollback_msg" text,
  "rollback_start_time" date,
  "rollback_end_time" date,
  "origin_version" text,
  "target_version" text,
  "create_time" date,
  "update_time" date
);

-- ----------------------------
-- Auto increment value for sys_upgrade_record
-- ----------------------------
UPDATE "main"."sqlite_sequence" SET seq = 10000 WHERE name = 'sys_upgrade_record';

PRAGMA foreign_keys = true;